# Class BasicFileChooserUI.AcceptAllFileFilter

java.lang.Object
javax.swing.filechooser.FileFilter
javax.swing.plaf.basic.BasicFileChooserUI.AcceptAllFileFilter

Enclosing class:
  `BasicFileChooserUI`

protected class BasicFileChooserUI.AcceptAllFileFilter extends FileFilter
Accept all file filter.

## Constructor Summary

Constructors
Constructor
Description
`AcceptAllFileFilter()`
Constructs an `AcceptAllFileFilter`.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accept(File f)`
Returns true.
`String`
`getDescription()`
The description of this filter.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### AcceptAllFileFilter

public AcceptAllFileFilter()
Constructs an `AcceptAllFileFilter`.

## Method Details

### accept

public boolean accept(File f)
Returns true.

Specified by:
  `accept` in class `FileFilter`
Parameters:
  `f` - the file
Returns:
  true

### getDescription

public String getDescription()
The description of this filter. For example: "JPG and GIF Images"

Specified by:
  `getDescription` in class `FileFilter`
Returns:
  the description of this filter
See Also:
  - `FileView.getName(File)`